Skip to main content
GET
Get Workflow Run Handler

Headers

authorization
string | null

Path Parameters

run_id
string<uuid>
required

Cookies

ks_uat
string | null

Response

Successful Response

Workflow run response.

id
string<uuid>
required
workflow_definition_id
string<uuid>
required
user_id
string<uuid>
required
runner_type
enum<string>
required

Runner that executes the workflow.

Available options:
SELF_HOSTED
status
enum<string>
required

Lifecycle status of a workflow run.

Available options:
PENDING,
RUNNING,
COMPLETED,
FAILED
started_at
string<date-time>
required
completed_at
string<date-time> | null
required
run_snapshot
WorkflowRunSnapshot · object
required

Frozen ABCD configuration captured at workflow trigger time.

error
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required